SingleStore DB

Replication Compatibility Between Different Cluster Versions

In general, you may replicate data between two different versions of SingleStore DB if the SingleStore DB version on the source cluster is earlier than the version on the destination cluster. However, there are some exceptions:

  • You may not replicate data from a source cluster running MemSQL 5.8 or earlier to a destination cluster running MemSQL 6.0 or later. This is due to how replication changed in MemSQL 6.0. You must first upgrade your source cluster to MemSQL 6.0 or later.

  • You may not replicate data from a source cluster running MemSQL 6.8 or earlier to a destination cluster running MemSQL 7.0 or later. This is due to how replication changed in MemSQL 7.0. You must first upgrade your source cluster to MemSQL 7.0 or later.

  • You may not replicate data from a source cluster running MemSQL 7.0 (or SingleStore 7.1) or later to a destination cluster running MemSQL 6.8 or earlier.

See the Verify your cluster is ready for upgrade section of the Upgrade guide for how to upgrade with replicated (DR) databases.